Download
(4 Kb)
Download
Updated: 03/11/24 08:44 AM
Pictures
File Info
Compatibility:
Endless Archive (9.2.5)
Updated:03/11/24 08:44 AM
Created:02/26/24 04:28 AM
Monthly downloads:142
Total downloads:627
Favorites:4
MD5:
Antiquity Lead Expiry Warnings
Version: 1.0.7
by: mccalli [More]
Show a warning if your antiquity leads are close to expiring, and (optionally) which zone those leads are in.

A preferences screen allows you to set the threshold, and say whether you also want messages in your console or not. Options for console messages are:
  • All
  • Expiring
  • None


Type "/alew" into the console to rerun the warnings list at any time.


External Dependencies

Required:
LibAddonMenu-2.0

Recommended/Optional:
LibSlashCommander
v1.0.7
API version update

v1.0.6
Bugfix - fix for throwing some errors when switching zones - transparent to user, but annoying
Truncated the settings panel name a little, to better fit in the space

v.1.0.5
New feature - optionally display which zone the lead is in when showing the message. Toggle this from the add-on's settings menu (defaults to on).

v1.0.4
Bugfix - now waits for the player to be activated before trying to write to chat console, rather than trying to do so when add-on is loaded.

v1.0.3
Added a checkbox, selected by default, to suppress printing non-expiring leads to the console. Note that leads without expiry will never be shown as main screen warnings.

v1.0.2
Added a preference to delay the report at startup, by up to 60 seconds, to allow this to be the last thing you see in your console. Default is 5 seconds (as per previous hard-coded versions).

v1.0.1
Specified library versions for LibAddOnMenu-2.0 and LibSlashCommander
Removed Mac-specific files on decompression

v1.0
Initial version
Optional Files (0)


Archived Files (7)
File Name
Version
Size
Uploader
Date
1.0.6
3kB
mccalli
02/28/24 04:45 PM
1.0.5
3kB
mccalli
02/28/24 12:54 PM
1.0.4
3kB
mccalli
02/28/24 08:26 AM
1.0.3
3kB
mccalli
02/27/24 04:09 PM
1.0.2
3kB
mccalli
02/26/24 08:37 AM
1.0.1
3kB
mccalli
02/26/24 06:39 AM
1.0.0
4kB
mccalli
02/26/24 04:28 AM


Post A Reply Comment Options
Unread 03/31/24, 03:42 PM  
mccalli
AddOn Author - Click to view AddOns

Forum posts: 0
File comments: 7
Uploads: 5
Originally Posted by NeuroticPixels
Didn't this have a settings menu? I can't seem to find it anymore.
Yep, still there on mine at least. Settings -> Addons -> Antiquity Leads Expiry Warnings
Report comment to moderator  
Reply With Quote
Unread 03/29/24, 08:29 PM  
NeuroticPixels
Addon Addict
 
NeuroticPixels's Avatar
Premium Member

Forum posts: 210
File comments: 868
Uploads: 0
Didn't this have a settings menu? I can't seem to find it anymore.
Report comment to moderator  
Reply With Quote
Unread 02/27/24, 04:11 PM  
mccalli
AddOn Author - Click to view AddOns

Forum posts: 0
File comments: 7
Uploads: 5
Originally Posted by NeuroticPixels
Will you be adding an option to remove the leads that "expire in 0 seconds"? (The ones without an expiration date.)
Thanks for this - I didn't actually know there were such things as non-expiring leads. I've added what I believe is an option and a fix for this in v1.0.3, but since I have no leads that match that I can't test.

I can see it still works for all leads with an expiry, would appreciate it if you're able to tell if me the option to suppress warnings for leads without expiries works correctly (it's selected by default, also available in settings screen).

Thanks.
Last edited by mccalli : 02/27/24 at 04:11 PM.
Report comment to moderator  
Reply With Quote
Unread 02/26/24, 07:10 PM  
NeuroticPixels
Addon Addict
 
NeuroticPixels's Avatar
Premium Member

Forum posts: 210
File comments: 868
Uploads: 0
Will you be adding an option to remove the leads that "expire in 0 seconds"? (The ones without an expiration date.)

For example, I have the "Shelf, Black Soul Gems" to scy and dig up in The Deadlands. Doesn't expire. So the addon says it expires in 0 seconds.
Could be potentially valuable information for some, to help them realize they have something sitting in thir Antiquities to be done. But I don't need it.

Whatever you decide, thank you!
Report comment to moderator  
Reply With Quote
Unread 02/26/24, 07:59 AM  
Baertram
Super Moderator
 
Baertram's Avatar
ESOUI Super Moderator
AddOn Author - Click to view AddOns

Forum posts: 4956
File comments: 6020
Uploads: 78
Originally Posted by mccalli
Interesting - I was careful to remove the Mac-specific stuff, but it seems they are getting added in the final 'Compress folder' stage in the compression tool from Finder itself.

Just tested it out by running zip from the command line and that works, so will do that. Should be gone from v1.0.1
Thank you.
And very interesting that Apple is automatically adding those files there. Windows also got it'S thumbs.db files, but adding whole hidden folders into zip files is kind of very annoying.
Report comment to moderator  
Reply With Quote
Unread 02/26/24, 06:37 AM  
mccalli
AddOn Author - Click to view AddOns

Forum posts: 0
File comments: 7
Uploads: 5
Interesting - I was careful to remove the Mac-specific stuff, but it seems they are getting added in the final 'Compress folder' stage in the compression tool from Finder itself.

Just tested it out by running zip from the command line and that works, so will do that. Should be gone from v1.0.1
Last edited by mccalli : 02/26/24 at 07:22 AM.
Report comment to moderator  
Reply With Quote
Unread 02/26/24, 04:49 AM  
Baertram
Super Moderator
 
Baertram's Avatar
ESOUI Super Moderator
AddOn Author - Click to view AddOns

Forum posts: 4956
File comments: 6020
Uploads: 78
Hi, please read the upload rules before uploading addons and check + clean your addon's files before zipping them:
https://www.esoui.com/forums/showthread.php?t=10790
https://www.esoui.com/forums/showthread.php?t=11

In your case:
1. You did not name the dependencies needed properly in your addon description.
2. And your LibAddonMenu was added as dependency without version check, using the >= tag!
Please update it in your manifest txt file to the most u2pdate version of LibAddonMenu via the >=<versionOfLibrary> tag addition.
3. You missed to remove the (hidden?) MACOS* files/folders:
Code:
__MACOSX/


Please fix these points (files/folders with your next upload; description: as soon as possible).
Many thanks
Report comment to moderator  
Reply With Quote
Post A Reply



Category Jump: